List all embeddings models
Embeddings
List all embeddings models
Returns a list of all available embeddings models and their properties
GET
List all embeddings models
Authorizations
API key as bearer token in Authorization header
Query Parameters
Number of records to skip for pagination. When both offset and limit are omitted, the full list is returned
Required range:
x >= 0Example:
0
Maximum number of records to return (max 1000). When both offset and limit are omitted, the full list is returned
Required range:
1 <= x <= 1000Example:
500
Response
Returns a list of embeddings models
List of available models
List of available models
Example:
[
{
"architecture": {
"input_modalities": ["text"],
"instruct_type": "chatml",
"modality": "text->text",
"output_modalities": ["text"],
"tokenizer": "GPT"
},
"canonical_slug": "openai/gpt-4",
"context_length": 8192,
"created": 1692901234,
"default_parameters": null,
"description": "GPT-4 is a large multimodal model that can solve difficult problems with greater accuracy.",
"expiration_date": null,
"id": "openai/gpt-4",
"knowledge_cutoff": null,
"links": {
"details": "/api/v1/models/openai/gpt-4/endpoints"
},
"name": "GPT-4",
"per_request_limits": null,
"pricing": {
"completion": "0.00006",
"image": "0",
"prompt": "0.00003",
"request": "0"
},
"supported_parameters": ["temperature", "top_p", "max_tokens"],
"supported_voices": null,
"top_provider": {
"context_length": 8192,
"is_moderated": true,
"max_completion_tokens": 4096
}
}
]Pagination links
Total number of models matching the query
Example:
150